import * as React from 'react';
import defaultOptions from '../../defaultOptions';
import { getField } from '../../Utils/ColumnUtils';
import { getValueByColumn } from '../../Utils/DataUtils';
import CellContent from '../CellContent/CellContent';
import CellEditor from '../CellEditor/CellEditor';
const CellComponent = (props) => {
    const { column, rowData, column: { style }, isEditableCell, } = props;
    return (React.createElement("td", { style: style, className: defaultOptions.css.cell }, isEditableCell ? (React.createElement(CellEditor, Object.assign({}, props, { value: getValueByColumn(rowData, column), field: getField(column) })))
        : (React.createElement(CellContent, Object.assign({}, props, { value: getValueByColumn(rowData, column), field: getField(column) })))));
};
export default CellComponent;
