import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import { isEmpty } from '../../Utils/CommonUtils';
import { replaceValue } from '../../Utils/DataUtils';
const CellEditorBoolean = ({ column, dispatch, rowData, rowKeyField, value, }) => {
    return (React.createElement("input", { autoFocus: true, className: defaultOptions.css.checkbox, type: 'checkbox', ref: (elem) => elem && (elem.indeterminate = isEmpty(value)), checked: value || false, onChange: (event) => dispatch(ActionType.ChangeRowData, { newValue: replaceValue(rowData, column, event.currentTarget.checked) }), onBlur: () => {
            const cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
            dispatch(ActionType.CloseEditor, { cell });
        } }));
};
export default CellEditorBoolean;
