import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import { getValueByColumn, replaceValue } from '../../Utils/DataUtils';
import { getDateInputValue } from '../../Utils/DateUtils';
const CellEditorDate = ({ column, dispatch, rowData, rowKeyField, }) => {
    const fieldValue = getValueByColumn(rowData, column);
    const value = fieldValue && getDateInputValue(fieldValue);
    return (React.createElement("input", { autoFocus: true, className: defaultOptions.css.dateInput, type: 'date', value: value || '', onChange: (event) => {
            const targetValue = event.currentTarget.value;
            const newValue = targetValue ? new Date(targetValue) : null;
            dispatch(ActionType.ChangeRowData, { newValue: replaceValue(rowData, column, newValue) });
        }, onBlur: () => {
            const cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
            dispatch(ActionType.CloseEditor, { cell });
        } }));
};
export default CellEditorDate;
