import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import { replaceValue } from '../../Utils/DataUtils';
const CellEditorNumber = ({ column, dispatch, field, rowData, value, rowKeyField, }) => {
    return (React.createElement("input", { autoFocus: true, className: defaultOptions.css.numberInput, type: 'number', value: value === null || value === undefined ? '' : value, onChange: (event) => {
            const newValue = event.currentTarget.value !== '' ? Number(event.currentTarget.value) : null;
            dispatch(ActionType.ChangeRowData, { newValue: replaceValue(rowData, column, newValue) });
        }, onBlur: () => {
            const cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
            dispatch(ActionType.CloseEditor, { cell });
        } }));
};
export default CellEditorNumber;
