import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import { replaceValue } from '../../Utils/DataUtils';
const CellEditorString = ({ column, dispatch, rowData, value, rowKeyField, }) => {
    return (React.createElement("input", { autoFocus: true, type: 'text', className: defaultOptions.css.textInput, value: value || '', onChange: (event) => {
            dispatch(ActionType.ChangeRowData, { newValue: replaceValue(rowData, column, event.currentTarget.value) });
        }, onBlur: () => {
            const cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
            dispatch(ActionType.CloseEditor, { cell });
        } }));
};
export default CellEditorString;
