import * as React from 'react';
import { ActionType, EditingMode } from '../../enums';
import { isEmpty } from '../../Utils/CommonUtils';
import { extendProps } from '../../Utils/PropsUtils';
const CellText = (props) => {
    const { childAttributes, column, column: { format }, dispatch, editingMode, rowData, rowKeyField, value, } = props;
    const formatedValue = format ? format(value) : !isEmpty(value) && value.toString();
    const componentProps = {
        className: 'ka-cell-text',
        onClick: () => {
            if (editingMode === EditingMode.Cell) {
                const cell = { columnKey: column.key, rowKey: rowData[rowKeyField] };
                dispatch(ActionType.OpenEditor, { cell });
            }
        },
    };
    const divProps = extendProps(componentProps, props, childAttributes.cell, props.dispatch);
    return (React.createElement("div", Object.assign({}, divProps), formatedValue || React.createElement(React.Fragment, null, "\u00A0")));
};
export default CellText;
