import React from 'react';
import defaultOptions from '../../defaultOptions';
import DataRowContent from '../DataRowContent/DataRowContent';
import EmptyCells from '../EmptyCells/EmptyCells';
const DataRow = (props) => {
    const { groupColumnsCount, rowData, rowKeyField, dataRow, selectedRows, trRef, } = props;
    const rowKeyValue = rowData[rowKeyField];
    const isSelectedRow = selectedRows.some((s) => s === rowKeyValue);
    const dataRowProps = Object.assign(Object.assign({}, props), { isSelectedRow, rowKeyValue });
    const dataRowContent = dataRow && dataRow(dataRowProps);
    return (React.createElement("tr", { ref: trRef, className: `${defaultOptions.css.row} ${isSelectedRow ? defaultOptions.css.rowSelected : ''}` },
        React.createElement(EmptyCells, { count: groupColumnsCount }),
        dataRowContent
            ? React.createElement("td", { className: defaultOptions.css.cell }, dataRowContent)
            : React.createElement(DataRowContent, Object.assign({}, dataRowProps))));
};
export default DataRow;
