import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import { getDateInputValue } from '../../Utils/DateUtils';
const FilterRowDate = ({ column, dispatch, }) => {
    const fieldValue = column.filterRowValue;
    const value = fieldValue && getDateInputValue(fieldValue);
    return (React.createElement("input", { className: defaultOptions.css.dateInput, type: 'date', value: value || '', onChange: (event) => {
            const targetValue = event.currentTarget.value;
            const filterRowValue = targetValue ? new Date(targetValue) : null;
            const updatedColumn = Object.assign(Object.assign({}, column), { filterRowValue });
            dispatch(ActionType.ChangeFilterRow, { column: updatedColumn });
        } }));
};
export default FilterRowDate;
