import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import EmptyCells from '../EmptyCells/EmptyCells';
const GroupRowContent = (props) => {
    const { column, contentColSpan, dispatch, groupIndex, groupKey, isExpanded, text, } = props;
    return (React.createElement(React.Fragment, null,
        React.createElement(EmptyCells, { count: groupIndex }),
        React.createElement("td", { className: 'ka-group-column', colSpan: contentColSpan },
            React.createElement("div", { className: 'ka-group-column-content' },
                React.createElement("div", { onClick: () => {
                        dispatch(ActionType.UpdateGroupsExpanded, {
                            groupKey,
                        });
                    }, className: isExpanded
                        ? defaultOptions.css.iconGroupArrowExpanded : defaultOptions.css.iconGroupArrowCollapsed }),
                column && column.groupCell ? column.groupCell(props) : React.createElement("div", { className: 'ka-group-text' }, text)))));
};
export default GroupRowContent;
