import * as React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType, SortDirection, SortingMode } from '../../enums';
import { getColumnWithUpdatedSortDirection } from '../../Utils/HeadRowUtils';
const HeadCellContent = (props) => {
    const { column: { headCell }, } = props;
    if (headCell) {
        return headCell(props);
    }
    const { column, column: { title, sortDirection }, dispatch, sortingMode, } = props;
    const isSortingEnabled = sortingMode === SortingMode.Single;
    const sortClick = isSortingEnabled ? () => {
        const updatedColumn = getColumnWithUpdatedSortDirection(column);
        dispatch(ActionType.ChangeSorting, { column: updatedColumn });
    } : undefined;
    return (React.createElement("div", { className: `ka-thead-cell-content ${isSortingEnabled ? 'ka-pointer' : ''}`, onClick: sortClick },
        React.createElement("span", null, title),
        sortDirection && isSortingEnabled && (React.createElement("span", { className: sortDirection === SortDirection.Ascend
                ? defaultOptions.css.iconSortArrowUp
                : defaultOptions.css.iconSortArrowDown }))));
};
export default HeadCellContent;
