import React, { useEffect, useRef } from 'react';
import { getGroupMark, getGroupText } from '../../Utils/GroupUtils';
import DataRow from '../DataRow/DataRow';
import GroupRow from '../GroupRow/GroupRow';
const Rows = (props) => {
    const { columns, data, dispatch, groupedColumns, groups = [], groupsExpanded = [], groupRow, onFirstRowRendered, rowKeyField, } = props;
    const groupMark = getGroupMark();
    const firstRowRef = useRef(null);
    useEffect(() => {
        onFirstRowRendered(firstRowRef);
    }, [firstRowRef, onFirstRowRendered]);
    let rowRefLink = firstRowRef;
    return (React.createElement(React.Fragment, null, data.map((d) => {
        if (d.groupMark === groupMark) {
            const groupIndex = d.key.length - 1;
            const group = groups && groups[groupIndex];
            const column = group && groupedColumns.find((c) => c.key === group.columnKey);
            return (React.createElement(GroupRow, { column: column, contentColSpan: columns.length - groupIndex + groups.length, dispatch: dispatch, groupIndex: groupIndex, groupKey: d.key, groupRow: groupRow, isExpanded: groupsExpanded.some((ge) => JSON.stringify(ge) === JSON.stringify(d.key)), text: getGroupText(d.value, column), key: d.key }));
        }
        else {
            const dataRow = (React.createElement(DataRow, Object.assign({}, props, { trRef: rowRefLink, key: d[rowKeyField], rowData: d })));
            rowRefLink = undefined;
            return dataRow;
        }
    })));
};
export default Rows;
