import React from 'react';
import { ActionType } from '../../enums';
import { getVirtualized } from '../../Utils/Virtualize';
import Rows from '../Rows/Rows';
const VirtualizedRows = (props) => {
    const { data, dispatch, virtualScrolling, } = props;
    const onFirstRowRendered = (firstRowRef) => {
        if (firstRowRef
            && firstRowRef.current
            && (virtualScrolling
                && (!virtualScrolling.itemHeight
                    || !virtualScrolling.tbodyHeight))) {
            const itemHeight = firstRowRef.current.offsetHeight || 40;
            const tbodyHeight = (firstRowRef.current.parentElement && firstRowRef.current.parentElement.offsetHeight)
                || 600;
            const newVirtualScrolling = Object.assign({ itemHeight,
                tbodyHeight }, virtualScrolling);
            dispatch(ActionType.ChangeVirtualScrollingHeightSettings, { virtualScrolling: newVirtualScrolling });
        }
    };
    let virtualizedData = data;
    let virtualized;
    if (virtualScrolling) {
        virtualized = getVirtualized(virtualScrolling, virtualizedData);
        virtualizedData = virtualized.virtualizedData;
    }
    return (React.createElement(React.Fragment, null,
        virtualized && React.createElement("tr", { style: { height: virtualized.beginHeight } }),
        React.createElement(Rows, Object.assign({}, props, { data: virtualizedData, onFirstRowRendered: onFirstRowRendered })),
        virtualized && React.createElement("tr", { style: { height: virtualized.endHeight } })));
};
export default VirtualizedRows;
