import { EditingMode } from '../enums';
import { getCopyOfArrayAndAddItem } from './ArrayUtils';
export const isEditableCell = (editingMode, column, rowEditableCells) => {
    if (column.isEditable !== undefined) {
        return column.isEditable;
    }
    if (editingMode === EditingMode.Cell) {
        return !!rowEditableCells.find((c) => c.columnKey === column.key);
    }
    return false;
};
export const addItemToEditableCells = (item, editableCells) => {
    return getCopyOfArrayAndAddItem(item, editableCells);
};
export const removeItemFromEditableCells = (item, editableCells) => {
    return editableCells.filter((c) => c.columnKey !== item.columnKey || c.rowKey !== item.rowKey);
};
