import defaultOptions from '../defaultOptions';
import { SortDirection } from '../enums';
import { compareColumns } from './ColumnUtils';
export const getSortedColumns = (columns, column) => {
    const index = columns.findIndex((c) => compareColumns(c, column));
    const newColumns = [...columns];
    newColumns.forEach((c, newColumnIndex) => {
        if (c.sortDirection) {
            newColumns[newColumnIndex] = Object.assign({}, c);
            newColumns[newColumnIndex].sortDirection = undefined;
        }
    });
    newColumns[index] = Object.assign({}, column);
    return newColumns;
};
export const getColumnWithUpdatedSortDirection = (column) => {
    const newColumn = Object.assign({}, column);
    newColumn.sortDirection = getNextSortDirection(newColumn.sortDirection);
    return newColumn;
};
const getNextSortDirection = (previousSortdirection) => {
    let nextSortDirection;
    if (previousSortdirection) {
        nextSortDirection = previousSortdirection === SortDirection.Ascend
            ? SortDirection.Descend : SortDirection.Ascend;
    }
    else {
        nextSortDirection = defaultOptions.columnSortDirection;
    }
    return nextSortDirection;
};
