import { isFunction } from 'util';
export const extendProps = (childElementAttributes, childProps, childCustomAttributes, dispatch) => {
    let resultProps = childElementAttributes;
    if (childCustomAttributes) {
        resultProps = mergeProps(childElementAttributes, childProps, childCustomAttributes, dispatch);
    }
    return resultProps;
};
const emptyFunc = () => { };
export const mergeProps = (childElementAttributes, childProps, childCustomAttributes, dispatch) => {
    const customPropsWithEvents = {};
    for (const prop in childCustomAttributes) {
        if (childCustomAttributes.hasOwnProperty(prop)) {
            const propName = prop;
            const propValue = childCustomAttributes[propName];
            const baseFunc = childElementAttributes[propName] || emptyFunc;
            if (isFunction(propValue)) {
                customPropsWithEvents[prop] = (e) => {
                    propValue(e, {
                        baseFunc,
                        childElementAttributes,
                        childProps,
                        dispatch,
                    });
                };
            }
        }
    }
    const mergedResult = Object.assign(Object.assign(Object.assign(Object.assign({}, childElementAttributes), childCustomAttributes), customPropsWithEvents), {
        className: `${childElementAttributes.className || ''} ${childCustomAttributes.className || ''}`,
    });
    return mergedResult;
};
